# Copyright (c) 2016-2021 Satlab A/S <satlab@satlab.com>
# All rights reserved. Do not distribute without permission.

import os
import ctypes

import propnode
import cspnode

# Load test library
testlib = ctypes.CDLL(os.environ['SL_TESTLIB'])

# const struct prop_subsys_spec srs4_props
_sl_srs4_props = propnode.prop_subsys_spec.in_dll(testlib, "srs4_props")

class SRS4Exception(Exception):
    pass


class SRS4():
    def __init__(self, addr=24, timeout=2500):
        self.addr = addr
        self.timeout = timeout

        self.prop = propnode.PropertyNode(addr, _sl_srs4_props, timeout)
        self.csp = cspnode.CSPNode(addr)
